.\" Copyright (C) 2011 Mattia Basaglia
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.3
.\" or any later version published by the Free Software Foundation.

.\" to generate formatted file use:  nroff -man ./bazzy-mouse.1 > bazzy-mouse.help

.TH bazzy-mouse-set 1 2011-03-22 1.0
.SH NAME
Bazzy Mouse - adjust mouse button map depending on USB device
.SH SYNOPSIS
.B bazzy-mouse-set
.RI [ command ]
.SH DESCRIPTION
When you have a mouse plugged in a specific position you usually know if that will be on the right or left side of your computer, this is expecially true on laptops.
Bazzy Mouse allows you to map the plugged mice to act as left or right handed depending on some settings.

This pprogram is responsible for the actual mapping of the mouse buttons

.SH COMMANDS

.TP 
default
12345 for mice connected on 
.B left
and 32145 on 
.B right
.br
Same as if with no command specified. 
.br
The result is left-handed mapping for
.B left
mice and right-handed mapping for
.B right
mice

.TP
swap
32145 for mice connected on 
.B left
and 12345 on 
.B right
.br
Opposite effect than
.B default

.TP
left
32145 for any mouse connected on
.B left
or
.B right
.br
Any mouse is left handed

.TP
right
12345 for any mouse connected on
.B left
or
.B right
.br
Any mouse is right handed

.SH CONFIGURATION
.B bazzy-mouse-set
expects to have a configuration file at ~/bazzy-mouse.conf
.br
It should contain the definition of two strings called
.B left
and
.B right
listing the devices separated by spaces.
.br
The devices are then searched in the directory
.RI /sys/bus/usb/devices/ device
when 
.B bazzy-mouse-set 
is called.
.br
This configuration uses shell syntax to define those strings

.SH CONFIGURATION EXAMPLE
.nf
param='default'           # used by the daemon
lid='LID0'                # used by the daemon
left='2-1.2'              # a single device on the left
right='1-1.4 1-1.2 2-1.4' # three possible devices on the right
.fi

.SH NOTES
Uses 
.B xinput 
to map devices 

.SH SEE ALSO
.BR bazzy-mouse (1), 
.BR bazzy-mouse-daemon (1)
